petsc-3.6.2 2015-10-02
Report Typos and Errors

# MatMumpsCreateSchurComplement

Create a Schur complement matrix object using Schur data computed by MUMPS during the factorization step

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatMumpsCreateSchurComplement(Mat F,Mat* S)

Logically Collective on Mat

### Input Parameters

| F | - the factored matrix obtained by calling MatGetFactor() from PETSc-MUMPS interface
| *S | - location where to return the Schur complement (MATDENSE)

### Notes

MUMPS Schur complement mode is currently implemented for sequential matrices. The routine provides a copy of the Schur data stored within MUMPS data strutures. The caller must destroy the object when it is no longer needed. If MatMumpsInvertSchurComplement has been called, the routine gets back the inverse

References: MUMPS Users' Guide

### See Also

MatGetFactor(), MatMumpsSetSchurIndices(), MatMumpsGetSchurComplement()

Level:advanced
Location:src/mat/impls/aij/mpi/mumps/mumps.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages